if(Es-sumAB>=0)
        {
            if(Es-sumAB-Cs>=Ds||Es-sumAB-Ds>=Cs){
                cout<<"2";
            }
            else{
                cout<<"3";
            }
        }
        else{
            cout<<"4";
        }
        if(Es-sumBCD>=0)
        {
            cout<<"2";
            if(Es-sumBC>=0)
            {
                if(Es-sumBC-As>=Ds || Es-sumBC-Ds>=As){
                    cout<<"2";
                }
                else{
                    cout<<"3";
                }
            }
            else{
                cout<<"4";
            }
            if(Es-sumCD>=0)
            {
                if(Es-sumCD-As>=Bs|| Es-sumCD-Bs>=As){
                    cout<<"2";
                }
                else{
                    cout<<"3";
                }
            }
            else{
                cout<<"4";
            }